import Link from "next/link"
import { ArrowLeft } from "lucide-react"
import { Button } from "@/components/ui/button"

export default function PrivacyPolicy() {
  return (
    <main className="min-h-screen bg-background pt-16">
      <div className="container mx-auto px-4 py-16">
        <div className="mb-8">
          <Link href="/">
            <Button variant="ghost" className="button-hover-effect mb-4">
              <ArrowLeft className="mr-2 h-4 w-4" /> 返回首页
            </Button>
          </Link>
          <h1 className="text-4xl font-bold mb-2">隐私政策</h1>
          <p className="text-muted-foreground">最后更新: 2023年12月1日</p>
        </div>

        <div className="prose prose-invert max-w-none">
          <p>
            Simba
            Robotics（以下简称"我们"）非常重视您的隐私。本隐私政策旨在向您说明我们如何收集、使用、披露和保护您的个人信息。
          </p>

          <h2>信息收集</h2>
          <p>我们可能会收集以下类型的信息：</p>
          <ul>
            <li>
              <strong>个人识别信息</strong>
              ：当您与我们联系、申请加入团队或参与我们的活动时，我们可能会收集您的姓名、电子邮件地址、电话号码和教育背景等信息。
            </li>
            <li>
              <strong>使用数据</strong>
              ：我们可能会收集有关您如何访问和使用我们网站的信息，包括您的IP地址、浏览器类型、访问时间以及您查看的页面。
            </li>
            <li>
              <strong>设备信息</strong>
              ：我们可能会收集有关您用于访问我们网站的设备的信息，包括硬件型号、操作系统和版本、唯一设备标识符等。
            </li>
          </ul>

          <h2>信息使用</h2>
          <p>我们可能会将收集到的信息用于以下目的：</p>
          <ul>
            <li>提供、维护和改进我们的网站和服务</li>
            <li>处理您的团队申请或其他请求</li>
            <li>发送与团队活动、比赛和招募相关的通知</li>
            <li>监控和分析网站使用情况和趋势</li>
            <li>检测、预防和解决技术问题</li>
          </ul>

          <h2>信息共享</h2>
          <p>我们不会出售或出租您的个人信息给第三方。但在以下情况下，我们可能会共享您的信息：</p>
          <ul>
            <li>经您同意</li>
            <li>遵守法律要求</li>
            <li>保护我们的权利和财产</li>
            <li>与我们的合作伙伴共享，以支持我们的运营（这些合作伙伴有义务保密您的信息）</li>
          </ul>

          <h2>数据安全</h2>
          <p>
            我们采取合理的措施来保护您的个人信息不被未经授权的访问、使用或披露。然而，请注意，互联网上的数据传输或电子存储不是100%安全的。
          </p>

          <h2>Cookie使用</h2>
          <p>
            我们的网站可能使用"cookies"来增强用户体验。您的网络浏览器将这些cookies放在您的硬盘上以记录目的。您可以选择拒绝cookies，但这可能会影响您使用我们网站的某些部分。
          </p>

          <h2>第三方链接</h2>
          <p>
            我们的网站可能包含指向第三方网站的链接。我们对这些网站的隐私政策或内容不负责任。我们建议您阅读您访问的任何第三方网站的隐私政策。
          </p>

          <h2>儿童隐私</h2>
          <p>
            我们的网站不针对13岁以下的儿童。我们不会故意收集13岁以下儿童的个人识别信息。如果您是父母或监护人，并且您认为您的孩子向我们提供了个人信息，请联系我们。
          </p>

          <h2>隐私政策的变更</h2>
          <p>我们可能会不时更新我们的隐私政策。我们会在本页上发布任何更改，并在重大更改时通过电子邮件或网站通知您。</p>

          <h2>联系我们</h2>
          <p>如果您对本隐私政策有任何疑问，请通过以下方式联系我们：</p>
          <p>
            <strong>电子邮件</strong>：contact@simbarobotics.com
            <br />
            <strong>地址</strong>：Room 602, Physics Building, Heilongjiang University
          </p>
        </div>
      </div>
    </main>
  )
}
